<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.ekp.mapper.EkpBankAttaMapper">

  <resultMap id="tAttaMap" type="com.yifu.cloud.plus.v1.ekp.entity.EkpBankAtta">
	<id property="fdId" column="fd_id"/>
    <result property="fdAttaName" column="fd_atta_name"/>
    <result property="fdAttaSrc" column="fd_atta_src"/>
    <result property="fdAttaUrl" column="fd_atta_url"/>
    <result property="fdAttaSize" column="fd_atta_size"/>
    <result property="fdLinkId" column="fd_link_id"/>
    <result property="fdLinkType" column="fd_link_type"/>
	<result property="fdCreateTime" column="fd_create_time"/>
  </resultMap>
    <sql id="selectParams">
		a.fd_id,
		a.fd_atta_name,
		a.fd_atta_src,
		a.fd_atta_url,
		a.fd_atta_size,
		a.fd_link_id,
		a.fd_link_type,
		a.fd_create_time
	</sql>
	<!--获取最新的附件-->
	<select id="getEkpBankAttaLimit" resultMap="tAttaMap">
		SELECT
			<include refid="selectParams"/>
		FROM t_salary_atta a
		where a.fd_link_id = #{fdId} and a.fd_link_type = #{type}
		order by a.fd_create_time desc limit 1
	</select>

</mapper>
